import FetchCollections from "./Collections/FetchCollections";
import PersistTabs from "./BootstrapTabs/PersistTabs";
import SyncManager from "./ProductSync/SyncManager";

const components = [FetchCollections, PersistTabs, SyncManager];

class ComponentsInitializer {
    static init() {
        components.forEach(Class => {
            const instance = new Class();
            instance.init();
        });
    }
}

export default ComponentsInitializer;
